M2SCI Function

Infer - Create a tree containing inference data

### Calling Sequence

  `infer=Infer(varargin)`

### Parameters

- `varargin` : data for inference
  - `varargin(1)` : list of dimensions default value is list(Unknown,Unknown)
  - `varargin(2)` : type ("type" tlist, see Type help page) default value is Type(Unknown,Unknown)
  - `varargin(3)` : contents default value is [], if data represented is a Cell contents is a Cell of "infer" tlist else if data represented is a Struct, contents is a Struct of "infer" tlist else it is not used.
- `infer` : an "infer" tlist

### Description

This function create a `tlist` representing inference data when using M2SCI. All input parameters values are verified to be compatible with "M2SCI tlists". (Unknown=-1 in M2SCI)

### See Also

`Funcall` , `Operation` , `Variable` , `Cste` , `Type` , `Equal` ,

### Authors

  V.C.